<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div id="app">
        <input type="text" v-model="cari" >
        <ul v-for="book in filterbooks">
            <li>{{book}}</li>
        </ul>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        let vm = new Vue({
            el : '#app',
            data: {
                cari : '',
               books : [
                    'kalkulus Dasar',
                    'Fisika Dasar',
                    'Aljabar Linier Elementer',
                    'Aljabar Abstrak',
                    'Algoritma Pemrogaman'
                ]
            },
            computed:{
                filterbooks: function(){
                    return this.books.filter((book)=>{
                        return book.match(this.cari)
                    });
                }
            }
        });
    </script>
</body>
</html>